Bug 1428437

Summary: Review Request: golang-github-bkaradzic-go-lz4 - Port of LZ4 lossless compression algorithm to Go
Product: [Fedora] Fedora Reporter: Fabio Valentini <decathorpe>
Component: Package ReviewAssignee: Jan Chaloupka <jchaloup>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jchaloup, package-review
Target Milestone: ---Flags: jchaloup: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-16 21:18:38 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1427634    

Description Fabio Valentini 2017-03-02 15:42:53 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/golang-github-bkaradzic-go-lz4.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/golang-github-bkaradzic-go-lz4-1.0.0-1.fc25.src.rpm

Description: Port of LZ4 lossless compression algorithm to Go

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18138835


PS: The .spec file was generated by gofed, but modified to use the stable release of the go library in question instead of git master. Also, I had to add the "testdata" directory to make the tests work - this includes a text file from Project Gutenberg (pg1661.txt). I am not sure if that is acceptable or not.

According to my research, the text in question (The Adventures of Sherlock Holmes, by Arthur Conan Doyle) is in the Public Domain in the US and in the EU [1], so it should be alright ... If not, I will disable the unit tests for this package and not ship the text with the built packages.

[1]: https://en.wikisource.org/wiki/The_Adventures_of_Sherlock_Holmes

Comment 1 Jan Chaloupka 2017-03-03 12:28:22 UTC
Just a nit. I would suggest to move
%{gopath}/src/%{import_path}/testdata
line form %files unit-test-devel into %install section as
echo "%%{gopath}/src/%%{import_path}/testdata" >> unit-test-devel.file-list
right under
cp -pvr testdata %{buildroot}/%{gopath}/src/%{import_path}/

So the directory ownership is as close to the command it created it as possible.

Wrt. book copyrights, Tom, can you take a look at it?

Comment 2 Fabio Valentini 2017-03-03 13:01:09 UTC
Good point, I moved the directory entry to the unit-test-devel.file-list, just like you suggested.

Comment 3 Tom "spot" Callaway 2017-03-03 15:02:07 UTC
That work is clearly and unambiguously in the Public Domain in the US as a result of "Klinger v Conan Doyle Estate, Ltd.": http://law.justia.com/cases/federal/appellate-courts/ca7/14-1128/14-1128-2014-06-16.html

Note: Not _all_ of the Sherlock Holmes books are out of copyright, but this one is.

Comment 4 Fabio Valentini 2017-03-07 09:07:52 UTC
jchaloup, can you please look at this again, now that the copyright issue is out of the way?

Comment 5 Jan Chaloupka 2017-03-07 10:37:35 UTC
Thanks Tom. Approved.

Comment 6 Fabio Valentini 2017-03-07 13:37:14 UTC
Thanks for the review! Pkgdb request is sent.

If you (jchaloup) need some packages reviewed at any point in time, just ping me - because it's been really nice to get those syncthing deps into fedora so quickly!

Comment 7 Gwyn Ciesla 2017-03-07 13:40:53 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/golang-github-bkaradzic-go-lz4

Comment 8 Fedora Update System 2017-03-07 14:15:55 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-99747f14b8

Comment 9 Fedora Update System 2017-03-07 14:27:28 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-71bcfd28d9

Comment 10 Fedora Update System 2017-03-07 14:39:14 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e516c276d

Comment 11 Fedora Update System 2017-03-08 14:53:44 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e516c276d

Comment 12 Fedora Update System 2017-03-08 14:54:36 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-71bcfd28d9

Comment 13 Fedora Update System 2017-03-10 23:19:37 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-99747f14b8

Comment 14 Fedora Update System 2017-03-16 21:18:38 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-03-16 22:21:20 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-04-01 16:50:25 UTC
golang-github-bkaradzic-go-lz4-1.0.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.